Page MenuHomePhabricator

Migrate Mifos to the new validator framework
Closed, ResolvedPublic

Description

Migrate the existing checker / suggester code to instead use the new validator framework. We need to add,

  1. A validator for variable - /{{params\[[0-9]\]\.value}}/ that is insertable and enforced.

We'll need to update the YAML configuration file located here - https://phabricator.wikimedia.org/diffusion/GTWN/browse/master/groups/

Documentation: https://www.mediawiki.org/wiki/Help:Extension:Translate/Validators
Example patch: https://gerrit.wikimedia.org/r/c/translatewiki/+/549930

Event Timeline

abi_ created this task.Nov 11 2019, 8:17 AM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptNov 11 2019, 8:17 AM

Made a few of tweaks (unchecked beginner tasks [this is used for super easy tasks, like "set up your local dev environment"] and raised time to complete) and published.

abi_ claimed this task.Jan 30 2020, 8:43 AM
abi_ triaged this task as Medium priority.

Change 568915 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Update Mifos to the new validator framework

https://gerrit.wikimedia.org/r/568915

Change 568915 merged by jenkins-bot:
[translatewiki@master] Update Mifos to the new validator framework

https://gerrit.wikimedia.org/r/568915

abi_ closed this task as Resolved.Feb 10 2020, 9:56 AM
abi_ moved this task from In Review to Done on the Language-Team (Language-2020-January-March) board.

This has been done and deployed on Translatewiki.net